Name:           libguac
Version:        0.6.0
Release:        6%{?dist}
Summary:        The common library used by all C components of Guacamole
Group:          System Environment/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://downloads.sourceforge.net/guacamole/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel%{?_isa}
BuildRequires:  doxygen
BuildRequires:  libpng-devel%{?_isa}

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is the core library for guacd (the Guacamole proxy) and any protocol
support plugins for guacd. %{name} provides efficient buffered I/O of text and
base64 data, as well as somewhat abstracted functions for sending Guacamole
instructions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static LIBS="-lrt"
make %{?_smp_mflags} CFLAGS="%{optflags}"
cd doc/
doxygen Doxyfile


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
mkdir -p %{buildroot}%{_libdir}/guacamole/
find %{buildroot} -name '*.la' -delete
cp -fr doc/doxygen-output/html .

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat >> %{buildroot}%{_sysconfdir}/ld.so.conf.d/guacamole-%{_arch}.conf << EOF
%{_libdir}/guacamole
EOF


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS LICENSE README
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/guacamole-%{_arch}.conf
%dir %{_libdir}/guacamole
%{_libdir}/*.so.*

%files devel
%doc html
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-6
- Create subfolder for storing plugin libraries and appropriate support files.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Sorted and splitted BuildRequires on multiple lines.
- Used common macro styles.
- Shortened delete command in install section.

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Added optimization flags to make command.

* Mon May 14 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- Added librt to configure.
- Removed latex docs in devel packages.
- Added timestamp preservation to install.
- Removed CFLAGS from prep section.

* Fri May 11 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Review fixes.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.

